Package io.dapr.client.domain

# Class SubscribeConfigurationResponse

java.lang.Object
io.dapr.client.domain.SubscribeConfigurationResponse

public class SubscribeConfigurationResponse extends Object
Domain object for response from subscribeConfiguration API.

## Constructor Summary

Constructors
Constructor
Description
`SubscribeConfigurationResponse(String id, Map<String,ConfigurationItem> items)`
Constructor for SubscribeConfigurationResponse.

## Method Summary

Modifier and Type
Method
Description
`Map<String,ConfigurationItem>`
`getItems()`
`String`
`getSubscriptionId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubscribeConfigurationResponse

public SubscribeConfigurationResponse(String id, Map<String,ConfigurationItem> items)
Constructor for SubscribeConfigurationResponse.

Parameters:
  `id` - Subscription id for the items subscribed to.This id is returned by subscribeToConfiguration API.
  `items` - Map of configuration items user subscribed to.

## Method Details

### getItems

public Map<String,ConfigurationItem> getItems()

### getSubscriptionId

public String getSubscriptionId()